package com.huimv.getdata.controller;

import com.huimv.getdata.entity.caigou.*;
import com.huimv.getdata.entity.voucher.ErpVoucher;
import com.huimv.getdata.service.IErpCaiGouService;
import com.huimv.getdata.service.IErpVoucherService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.Date;
import java.util.List;

@RestController
@RequestMapping("/erp-caiGou")
public class ErpCaiGouController {

    @Autowired
    IErpCaiGouService iErpCaiGouService;


    @RequestMapping(value = "/getCaiGouRuku",method = RequestMethod.GET)
    public List<CaiGouRuKu> getCaiGouRuku(@RequestParam(value = "date" ,required = false) String date){
        return iErpCaiGouService.getCaiGouRuku(date);
    }
    @RequestMapping(value = "/getCaiGouFaPiao",method = RequestMethod.GET)
    public List<FaPiaoJinE> getCaiGouFaPiao(@RequestParam(value = "date" ,required = false) String date){
        return iErpCaiGouService.getCaiGouFaPiao(date);
    }
    @RequestMapping(value = "/getLeiJiRuKu",method = RequestMethod.GET)
    public List<LeiJiRuKu> getLeiJiRuKu(@RequestParam(value = "date" ,required = false) String date){
        return iErpCaiGouService.getLeiJiRuKu(date);
    }
    @RequestMapping(value = "/getShouLiaoJinE",method = RequestMethod.GET)
    public List<ShouLiaoJinE> getShouLiaoJinE(@RequestParam(value = "date" ,required = false) String date){
        return iErpCaiGouService.getShouLiaoJinE(date);
    }
    @RequestMapping(value = "/getJiaoHuoShuLiang",method = RequestMethod.GET)
    public List<JiaoHuoShuliang> getJiaoHuoShuLiang(@RequestParam(value = "date" ,required = false) String date){
        return iErpCaiGouService.getJiaoHuoShuLiang(date);
    }
    @RequestMapping(value = "/getCaiGouShuLiang",method = RequestMethod.GET)
    public List<CaiGouShuLiang> getCaiGouShuLiang(@RequestParam(value = "date" ,required = false) String date){
        return iErpCaiGouService.getCaiGouShuLiang(date);
    }
    @RequestMapping(value = "/getCaiGouDingDanShuLiangJinE",method = RequestMethod.GET)
    public List<CaiGouDingDanShuLiangJinE> getCaiGouDingDanShuLiangJinE(@RequestParam(value = "date" ,required = false) String date){

        return iErpCaiGouService.getCaiGouDingDanShuLiangJinE(date);
    }
    @RequestMapping(value = "/getDaiJianShuLiang",method = RequestMethod.GET)
    public List<DaiJianShuLiang> getDaiJianShuLiang(@RequestParam(value = "date" ,required = false) String date){
        return iErpCaiGouService.getDaiJianShuLiang(date);
    }
    @RequestMapping(value = "/getCaiGouYueJun",method = RequestMethod.GET)
    public List<CaiGouYueJun> getCaiGouYueJun(@RequestParam(value = "date" ,required = false) String date){
        return iErpCaiGouService.getCaiGouYueJun(date);
    }
    @RequestMapping(value = "/getYingFuZhangKuang",method = RequestMethod.GET)
    public List<YingFuZhangKuan> getYingFuZhangKuang(@RequestParam(value = "date" ,required = false) String date){
        return iErpCaiGouService.getYingFuZhangKuang(date);
    }
    @RequestMapping(value = "/getZuiDiKuChun",method = RequestMethod.GET)
    public List<ZuiDiKuChun> getZuiDiKuChun(@RequestParam(value = "date" ,required = false) String date){
        return iErpCaiGouService.getZuiDiKuChun(date);
    }
    @RequestMapping(value = "/getCaiGouHeTongShuLiangJinE",method = RequestMethod.GET)
    public List<CaiGouDingDanShuLiangJinE> getCaiGouHeTongShuLiangJinE(@RequestParam(value = "date" ,required = false) String date){
        return iErpCaiGouService.getCaiGouHeTongShuLiangJinE(date);
    }
}
